Name:                airline
Version:             0.9
Release:             1
Summary:             Java annotation-based framework
License:             ASL 2.0
URL:                 https://github.com/airlift/airline
Source0:             https://github.com/airlift/airline/archive/refs/tags/%{version}.tar.gz
BuildRequires:       maven-local mvn(com.google.code.findbugs:annotations)
BuildRequires:       mvn(com.google.code.findbugs:jsr305) mvn(com.google.guava:guava)
BuildRequires:       mvn(javax.inject:javax.inject) mvn(org.testng:testng)
BuildRequires:       mvn(org.assertj:assertj-core)
BuildArch:           noarch

%description
Airline is a Java annotation-based framework
for parsing Git like command line structures.

%package javadoc
Summary:             Javadoc for %{name}
%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q
find -name '*.class' -delete
find -name '*.jar' -delete
%pom_remove_parent
%pom_xpath_inject "pom:project" "<groupId>io.airlift</groupId>"
%pom_xpath_inject "pom:dependency[pom:artifactId='javax.inject']" '<version>1</version>'
%pom_xpath_inject "pom:dependency[pom:artifactId='jsr305']" '<version>3.0.2</version>'
%pom_xpath_inject "pom:dependency[pom:artifactId='guava']" '<version>25.0</version>'
%pom_xpath_inject "pom:dependency[pom:artifactId='testng']" '<version>6.14.3</version>'
%pom_xpath_inject "pom:dependency[pom:artifactId='assertj-core']" '<version>3.8.0</version>'
%pom_xpath_inject "pom:properties" '<maven.compiler.source>1.8</maven.compiler.source>'
%pom_xpath_inject "pom:properties" '<maven.compiler.target>1.8</maven.compiler.target>'
%mvn_file :%{name} %{name}

%build
%mvn_build -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license license.txt notice.md

%files javadoc -f .mfiles-javadoc
%license license.txt notice.md

%changelog
* Thu Dec 07 2023 Ge Wang <wang__ge@126.com> - 0.9-1
- Update to version 0.9

* Fri Jul 24 2020 chengzihan <chengzihan2@huawei.com> - 0.7-1
- Package init
